/* ----------------------------------------------------------------------------
 * Copyright (C) 1995-2000 by Karim Kaschani
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * to rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
 * --------------------------------------------------------------------------*/

#include "globals.h"





/* ----------------------------------------------------------------------------
 * Strlen - calculate string length
 *          *txt   = string to be evaluated
 +          RESULT : length of this string
 * ------------------------------------------------------------------------- */

int Strlen(char *txt)
{
  int i;

  for (i=0; *txt != '\0'; txt++)
      i++;

  return (i);
}





/* ----------------------------------------------------------------------------
 * Strncpy - copy n characters of string "source" to string "target"
 * ------------------------------------------------------------------------- */

void Strncpy(char *target, char *source, int n)
{
  int i;

  for (i=1; i<=n; i++)
      *target++ = *source++;

  *target = '\0';
}





/* ----------------------------------------------------------------------------
 * isnumber - check character "sign" for being a number
 * ------------------------------------------------------------------------- */

int isnumber(char sign)
{
    int status;

    switch (sign) {
           case '0':
           case '1':
           case '2':
           case '3':
           case '4':
           case '5':
           case '6':
           case '7':
           case '8':
           case '9':
           case '+':
           case '-':
           case '.': status = TRUE;
                     break;
           default : status = FALSE;
                     break;
    }
    return (status);
}
